.\" xmsgsaver ver 1
.\" (C) 2000 ROYALPANDA
.TH XMSGSAVER 1 "Release 6" "X Version 11"
.SH NAME
xmsgsaver \- screen saver
.SH SYNOPSIS
.B xmsgsaver
[-\fItoolkitoption\fP ...] [-\fIoption\fP ...]
.SH DESCRIPTION
.I xmsgsaver
is a screen saver program.
When activated,a message moves across screen.
.PP
It runs under a X server that supports \fIMIT-SCREEN-SAVER\fP extension.
It uses \fIVFlib version 2\fP.
.PP
When another screen saver based on \fIbeforelight\fP(1)
(including \fIxmsgsaver\fP) running, it is killed.
.PP
To set screen saver configureation, use \fIxset\fP(1).
Some examples are:
.TP 8
.B xset s on
Enabling screen saver.
.TP 8
.B xset s off
Disabling screen saver.
.TP 8
.B xset s 300
Setting time to activate screen saver 300 seconds.
.TP 8
.B xset s activate
Forcing to activate screen saver.
.SH "OPTIONS AND RESOURCES"
.I xmsgsaver
is configured by command-line options and X resources.
Application class name is \fBXMsgSaver\fP.
.PP
.TP 8
.BI \-msg " message"
Specifys the message string that is displays.
Valid characters are only ASCII and Japanese-EUC.
The default is clients' hostname.
.br
.B Resource: message
.TP 8
.BI \-fg " color"
Specifys message color.
.br
.B Resource: foreground (\fPclass\fB Foreground)
.TP 8
.BI \-bg " color"
Specifys background color.
.br
.B Resource: background (\fPclass\fB Background)
.TP 8
.BI \-shadow_color " color"
Specifys shadow color of message.
.br
.B Resource: shadowColor (\fPclass\fB BorderColor)
.TP 8
.BI \-vfcap " vfontcap"
Specifys the full path to vfontcap(capability file of \fIVFlib\fP).
Default is system's vfontcap.
.br
.B Resource: vfontcap
.TP 8
.BI \-vfonf " fontname"
Specifys font name of \fIVFlib\fP.
Default is "min".
.br
.B Resource: vectorFont
.TP 8
.BI \-fw " pixels"
Specifys width of characters in pixels.
Default is 32.
.br
.B Resource: fontWidth
.TP 8
.BI \-fh " pixels"
Specifys height of characters in pixels.
Default is 32.
.br
.B Resource: fontHeight
.TP 8
.BI \-cs " pixels"
Specifys character interval in pixels.
Default is 0.
.br
.B Resource: columnSpace
.TP 8
.BI \-ls " pixels"
Specifys space between lines.
Default is 2.
.br
.B Resource: lineSpace
.TP 8
.BI \-tics " miliseconds"
Specify screen-updating tics in miliseconds.
Default is 50(20 frames per seconnd).
.br
.B Resource: tics
.TP 8
.BI \-speed " pixels"
Specify moving distance in pixels in every tics.
Minus value moves message left to right.
Default is 4.
.br
.B Resource: speed
.TP 8
.BI \-/\+dual_size
When \-dual_size option is set, wide-byte characters are drawn
with double-size as single-byte character.
In this case, specify width and interval for single-byte characters.
.br
When \+dual_size option is set, all characters are drawn with same width.
This is a default.
.br
.B Resource: dualSize \fP("True" means \-dual_size)
.TP 8
.BI \-shadow_x " pixels"
Sepcify horizontal offset of shadow of message in pixels.
Default is 0.
.br
.B Resource: shadowX (\fPclass\fB ShadowPosition)
.TP 8
.BI \-shadow_y " pixels"
Sepcify vertical offset of shadow of message in pixels.
Default is 0.
.br
.B Resource: shadowY (\fPclass\fB ShadowPosition)
.TP 8
.BI \-shadow " pixels"
Specify horizontal and vertiocal offset of shadow of message in pixels.
Default is 0.
.br
.B Resource:  ShadowPosition (\fPclass of \fBshadowX \fPand \fBshadowY)
.SH "SEE ALSO"
xset(1), beforelight(1),
.I Some documents of VFlib
.SH AUTHOR
Tatsuya Kudoh ("CDR/TK")
